Package net.shibboleth.saml.profile.config

# Interface SAMLAssertionProducingProfileConfiguration

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `ProfileConfiguration`, `SAMLProfileConfiguration`

All Known Subinterfaces:
  `SAML2AssertionProducingProfileConfiguration`

public interface SAMLAssertionProducingProfileConfiguration extends SAMLProfileConfiguration
Interface for SAML profiles that produce assertions.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Duration`
`DEFAULT_ASSERTION_LIFETIME`
Default assertion lifetime.

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getAssertionAudiences(ProfileRequestContext profileRequestContext)`
Get an unmodifiable set of audiences, in addition to the relying party(ies) to which the IdP is issuing the assertion, with which an assertion may be shared.
`Duration`
`getAssertionLifetime(ProfileRequestContext profileRequestContext)`
Get the lifetime of generated assertions.
`boolean`
`isIncludeConditionsNotBefore(ProfileRequestContext profileRequestContext)`
Get whether to include a NotBefore attribute in the Conditions of generated assertions.
`boolean`
`isSignAssertions(ProfileRequestContext profileRequestContext)`
Get whether generated assertions should be signed.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLProfileConfiguration

`getMessageHandler, isSignRequests, isSignResponses`

## Field Details

### DEFAULT_ASSERTION_LIFETIME

@Nonnull static final Duration DEFAULT_ASSERTION_LIFETIME
Default assertion lifetime.

## Method Details

### isSignAssertions

@ConfigurationSetting(name="signAssertions") boolean isSignAssertions(@Nullable ProfileRequestContext profileRequestContext)
Get whether generated assertions should be signed.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  whether generated assertions should be signed

### isIncludeConditionsNotBefore

@ConfigurationSetting(name="includeConditionsNotBefore") boolean isIncludeConditionsNotBefore(@Nullable ProfileRequestContext profileRequestContext)
Get whether to include a NotBefore attribute in the Conditions of generated assertions.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  whether to include a NotBefore attribute in the Conditions of generated assertions

### getAssertionLifetime

@ConfigurationSetting(name="assertionLifetime") @NonNegative @Nonnull Duration getAssertionLifetime(@Nullable ProfileRequestContext profileRequestContext)
Get the lifetime of generated assertions.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  lifetime of generated assertions

### getAssertionAudiences

@Nonnull @NotLive @Unmodifiable @ConfigurationSetting(name="assertionAudiences") Set<String> getAssertionAudiences(@Nullable ProfileRequestContext profileRequestContext)
Get an unmodifiable set of audiences, in addition to the relying party(ies) to which the IdP is issuing the assertion, with which an assertion may be shared.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  additional audiences to which an assertion may be shared